import { AudioObject } from './audio-object';
export declare type DelayOptions = {
    signal: AudioObject;
    sec: number;
};
export declare class Delay implements AudioObject {
    private _signal;
    private _seconds;
    constructor({ signal, sec }: DelayOptions);
    signal(): AudioObject;
    signal(value: AudioObject): void;
    seconds(): number;
    seconds(value: number): void;
    tf(t: number): number;
}
