"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var audio_object_1 = require("./audio-object");
var Noise = /** @class */ (function () {
    function Noise(amplitude) {
        if (amplitude === void 0) { amplitude = 1; }
        this._amplitude = audio_object_1.toAudioObject(amplitude);
    }
    Noise.prototype.amplitude = function (value) {
        if (value === undefined)
            return this._amplitude;
        this._amplitude = audio_object_1.toAudioObject(value);
    };
    Noise.prototype.tf = function (t) {
        return this._amplitude.tf(t) * Math.random() * 2 - 1;
    };
    return Noise;
}());
exports.Noise = Noise;
