"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Delay = /** @class */ (function () {
    function Delay(_a) {
        var signal = _a.signal, sec = _a.sec;
        this._signal = signal;
        this._seconds = sec;
    }
    Delay.prototype.signal = function (value) {
        if (value === undefined)
            return this._signal;
        this._signal = value;
    };
    Delay.prototype.seconds = function (value) {
        if (value === undefined)
            return this._seconds;
        this._seconds = value;
    };
    Delay.prototype.tf = function (t) {
        var actualTime = t - this._seconds;
        if (actualTime < 0)
            return 0;
        return this._signal.tf(actualTime);
    };
    return Delay;
}());
exports.Delay = Delay;
