"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var audio_object_1 = require("./audio-object");
var Add = /** @class */ (function () {
    function Add(a, b) {
        this._a = audio_object_1.toAudioObject(a);
        this._b = audio_object_1.toAudioObject(b);
    }
    Add.prototype.a = function (value) {
        if (value === undefined)
            return this._a;
        this._a = audio_object_1.toAudioObject(value);
    };
    Add.prototype.b = function (value) {
        if (value === undefined)
            return this._b;
        this._b = audio_object_1.toAudioObject(value);
    };
    Add.prototype.tf = function (t) {
        return this._a.tf(t) + this._b.tf(t);
    };
    return Add;
}());
exports.Add = Add;
var Mult = /** @class */ (function () {
    function Mult(a, b) {
        this._a = audio_object_1.toAudioObject(a);
        this._b = audio_object_1.toAudioObject(b);
    }
    Mult.prototype.a = function (value) {
        if (value === undefined)
            return this._a;
        this._a = audio_object_1.toAudioObject(value);
    };
    Mult.prototype.b = function (value) {
        if (value === undefined)
            return this._b;
        this._b = audio_object_1.toAudioObject(value);
    };
    Mult.prototype.tf = function (t) {
        return this._a.tf(t) * this._b.tf(t);
    };
    return Mult;
}());
exports.Mult = Mult;
